# Interface methods for submodule: ShapePriorMAPCostFunctionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import SingleValuedCostFunctionProxy as _SingleValuedCostFunctionProxy


# Interface methods for class: ShapePriorMAPCostFunctionBase
class ShapePriorMAPCostFunctionBaseProxy(_SingleValuedCostFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetShapeFunction(self, _arg) -> None:
		""""""
		...

	def GetModifiableShapeFunction(self):
		""""""
		...

	def GetShapeFunction(self):
		""""""
		...

	def SetActiveRegion(self, _arg) -> None:
		""""""
		...

	def GetActiveRegion(self):
		""""""
		...

	def SetFeatureImage(self, _arg) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetDerivative(self, arg0, arg1: Sequence[float]) -> None:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def ComputeLogInsideTerm(self, arg0) -> float:
		""""""
		...

	def ComputeLogGradientTerm(self, arg0) -> float:
		""""""
		...

	def ComputeLogShapePriorTerm(self, arg0) -> float:
		""""""
		...

	def ComputeLogPosePriorTerm(self, arg0) -> float:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

